Skip to main content
GET
Search beneficiaries (V2)

Headers

Authorization
string
required

The access token.

Query Parameters

page
integer<int32>
default:1

The page number for pagination.

Required range: x >= 1
items_per_page
integer<int32>
default:10

The number of beneficiaries per page.

Required range: x >= 1
order_by
enum<string>
default:beneficiary_name

The field to order the results by.

Available options:
beneficiary_name,
created_date
order_direction
enum<string>
default:asc

The direction to order the results in.

Available options:
asc,
desc
locale
string
default:en

The language locale.

local_routing_identifier
string

Filter. The local routing identifier of the bank (e.g. Sort Code, ABA, routing number).

bank_account_iban
string

Filter. The IBAN of the bank account.

bank_account_number
string

Filter. The account number of the bank account.

bank_account_currency_code
string[]

Filter. The ISO 4217 currency codes of the bank account. Repeat the parameter to pass several values.

created_on_from
string<date>

Filter. The earliest creation date, as YYYY-MM-DD.

created_on_to
string<date>

Filter. The latest creation date, as YYYY-MM-DD.

beneficiary_id
string[]

Filter. The identifiers of the beneficiaries. Repeat the parameter to pass several values.

bank_country_code
string[]

Filter. The ISO 3166-1 alpha-2 codes of the bank's country. Repeat the parameter to pass several values.

query_text
string

Filter. Free text search.

client_id
string
required

The identifier of a client.

Response

Will successfully list the requested beneficiaries.

id
string
required

The identifier of the beneficiary.

active
boolean
required

True if beneficiary is active, False otherwise.

editable
boolean
required

True if beneficiary is editable, False otherwise.

is_first_party
boolean
required

True if beneficiary is a first party, False otherwise.

created_date
string
required

The date and time when the beneficiary was created.

notifications
object
required

The notification preferences of a beneficiary.

address
object
required

An address of a beneficiary or of a bank.

bank_account
object
required

The bank account of a beneficiary.

aml_status
string | null

The AML/screening status of the beneficiary.

name
string | null

The alias/display name of the beneficiary. The beneficiary's name is bank_account.holder_name.

type
enum<string> | null

The type of the beneficiary.

Available options:
personal,
business,
null
external_reference
string | null

The unique external reference submitted by the client for the beneficiary.

phone_number
string | null

The phone number of the beneficiary.

payouts_email
string | null

The email of the beneficiary to use during payouts.

identification_type
string | null

The identification (e.g. TAX ID) type of the beneficiary.

identification_value
string | null

The identification (e.g. TAX ID) value of the beneficiary.